import { UseMutationOptions } from 'react-query';
import type { LoginReturnDataDTO, LoginDataDTO } from './issuerIRECAPI.schemas';
import appControllerLoginMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const appControllerLogin: <TData = LoginReturnDataDTO>(loginDataDTO: LoginDataDTO, options?: SecondParameter<typeof appControllerLoginMutator>) => Promise<TData>;
export declare const useAppControllerLogin: <TData = LoginReturnDataDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: LoginDataDTO;
    }, TContext>;
    request?: SecondParameter<typeof appControllerLoginMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: LoginDataDTO;
}, TContext>;
export {};
