"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminControllerGetUsersKycStatus = exports.AdminControllerGetUsersStatus = exports.IRECAccountType = exports.AccountDTOType = exports.DeviceState = exports.Role = exports.OrganizationInvitationStatus = exports.OrganizationStatus = exports.KYCStatus = exports.UserStatus = void 0;
exports.UserStatus = {
    Pending: 'Pending',
    Active: 'Active',
    Suspended: 'Suspended',
    Deleted: 'Deleted',
};
exports.KYCStatus = {
    Pending: 'Pending',
    Passed: 'Passed',
    Rejected: 'Rejected',
};
exports.OrganizationStatus = {
    Submitted: 'Submitted',
    Denied: 'Denied',
    Active: 'Active',
};
exports.OrganizationInvitationStatus = {
    Pending: 'Pending',
    Rejected: 'Rejected',
    Accepted: 'Accepted',
    Viewed: 'Viewed',
};
exports.Role = {
    OrganizationAdmin: 'OrganizationAdmin',
    OrganizationDeviceManager: 'OrganizationDeviceManager',
    OrganizationUser: 'OrganizationUser',
    Issuer: 'Issuer',
    Admin: 'Admin',
    SupportAgent: 'SupportAgent',
};
exports.DeviceState = {
    Draft: 'Draft',
    Inprogress: 'In-progress',
    Rejected: 'Rejected',
    Approved: 'Approved',
    Submitted: 'Submitted',
};
exports.AccountDTOType = {
    Trade: 'Trade',
    Redemption: 'Redemption',
    Issue: 'Issue',
};
exports.IRECAccountType = {
    Registrant: 'Registrant',
    Participant: 'Participant',
    Both: 'Both',
};
exports.AdminControllerGetUsersStatus = {
    Pending: 'Pending',
    Active: 'Active',
    Suspended: 'Suspended',
    Deleted: 'Deleted',
};
exports.AdminControllerGetUsersKycStatus = {
    Pending: 'Pending',
    Passed: 'Passed',
    Rejected: 'Rejected',
};
//# sourceMappingURL=issuerIRECAPI.schemas.js.map